Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javassist
Interface ClassPath

All Known Implementing Classes:
  ByteArrayClassPath, LoaderClassPath, URLClassPath

public interface ClassPath

`ClassPath` is an interface implemented by objects representing a class search path. `ClassPool` uses those objects for reading class files. `The users can define a class implementing this interface so that a class file is obtained from a non-standard source.`

See Also:
  `ClassPool.insertClassPath(ClassPath)`, `ClassPool.appendClassPath(ClassPath)`, `ClassPool.removeClassPath(ClassPath)`

Method Summary
`void` | `close()` This method is invoked when the `ClassPath` object is detached from the search path.
`java.io.InputStream` | `openClassfile(java.lang.String classname)` Opens a class file.

Method Detail

### openClassfile

    public java.io.InputStream openClassfile(java.lang.String classname)
                                      throws NotFoundException

  Opens a class file. This method may be called just to examine whether the class file exists as well as to read the contents of the file.

  This method can return null if the specified class file is not found. If null is returned, the next search path is examined. However, if an error happens, this method must throw an exception so that the search is terminated.

  This method should not modify the contents of the class file. Use `javassist.Translator` for modification.

  Parameters:
    `classname` - a fully-qualified class name
  Returns:
    the input stream for reading a class file
    `NotFoundException`
  See Also:
    `Translator`

### close

    public void close()

  This method is invoked when the `ClassPath` object is detached from the search path. It will be an empty method in most of classes.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Javassist, a Java-bytecode translator toolkit. Copyright (C) 1999-2003 Shigeru Chiba. All Rights Reserved.